Update Agent
curl --request PATCH \
--url https://api.opensink.com/api/v1/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"execution_endpoint": {
"url": "<string>",
"headers": {},
"body": {}
}
}
'import requests
url = "https://api.opensink.com/api/v1/agents/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"execution_endpoint": {
"url": "<string>",
"headers": {},
"body": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
execution_endpoint: {url: '<string>', headers: {}, body: JSON.stringify({})}
})
};
fetch('https://api.opensink.com/api/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution_endpoint": {
"url": "<string>",
"headers": {},
"body": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Bad request"
}{
"error": "Unauthorized"
}{
"error": "Insufficient permissions"
}{
"error": "Not found"
}Agent
Update Agent
Update an agent
Required scope: agents:write, agents:all, or all:all
PATCH
/
api
/
v1
/
agents
/
{id}
Update Agent
Authorizations
API key authentication
Path Parameters
Agent ID
Body
application/json
Response
An AI agent with configurable settings
An AI agent with configurable settings
Unique identifier
Workspace ID
Agent name
Required string length:
1 - 255Agent description
Current active config ID
Agent status based on latest session
Available options:
running, waiting_for_input, completed, failed Execution endpoint configuration
Show child attributes
Show child attributes
Creation timestamp
Last update timestamp
⌘I

